Loading...
Searching...
No Matches
robotmain.h File Reference

CRobotMain - main class of Colobot game engine. More...

`#include "app/pausemanager.h"`
`#include "common/error.h"`
`#include "common/event.h"`
`#include "common/singleton.h"`
`#include "graphics/engine/camera.h"`
`#include "graphics/engine/particle.h"`
`#include "level/build_type.h"`
`#include "level/level_category.h"`
`#include "level/mainmovie.h"`
`#include "level/research_type.h"`
`#include "object/drive_type.h"`
`#include "object/mission_type.h"`
`#include "object/object_type.h"`
`#include "object/tool_type.h"`
`#include <deque>`
`#include <stdexcept>`
Include dependency graph for robotmain.h:

## Classes

struct | NewScriptName
struct | ShowLimit
struct | MinMax
struct | Viewpoint
class | CRobotMain
| Main class managing the game world. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum

Phase {
PHASE_WELCOME1 , PHASE_WELCOME2 , PHASE_WELCOME3 , PHASE_PLAYER_SELECT ,
PHASE_APPEARANCE , PHASE_MAIN_MENU , PHASE_LEVEL_LIST , PHASE_MOD_LIST ,
PHASE_SIMUL , PHASE_SETUPd , PHASE_SETUPg , PHASE_SETUPp ,
PHASE_SETUPc , PHASE_SETUPs , PHASE_SETUPds , PHASE_SETUPgs ,
PHASE_SETUPps , PHASE_SETUPcs , PHASE_SETUPss , PHASE_WRITEs ,
PHASE_READ , PHASE_READs , PHASE_WIN , PHASE_LOST ,
PHASE_QUIT_SCREEN , PHASE_SATCOM
}

## Functions

std::string | PhaseToString (Phase phase)
bool | IsInSimulationConfigPhase (Phase phase)
bool | IsPhaseWithWorld (Phase phase)
bool | IsMainMenuPhase (Phase phase)

## Variables

const int | MAXSHOWLIMIT = 5
const int | MAXSHOWPARTI = 200
const float | SHOWLIMITTIME = 20.0f
const int | MAXSCENE = 999
const int | SATCOM_HUSTON = 0
const int | SATCOM_SAT = 1
const int | SATCOM_OBJECT = 2
const int | SATCOM_LOADING = 3
const int | SATCOM_PROG = 4
const int | SATCOM_SOLUCE = 5
const int | SATCOM_MAX = 6

## Detailed Description

CRobotMain - main class of Colobot game engine.